{
  lib,
  config,
  inputs,
  ...
}: let
  cfg = config.myConfig.music;
in {
  imports = [./mpd.nix];

  options.myConfig.music = {
    enable = lib.mkEnableOption "make the system ready for listening to music";
  };

  config = lib.mkIf cfg.enable {
    myConfig.music.mpd.enable = lib.mkDefault true;
  };
}
